%define upstream_name	 File-DesktopEntry
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Object to handle .desktop files
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::BaseDir) >= 0.30.0
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildArch:  noarch

%description
This module is used to work with .desktop files. The format of these files is
specified by the freedesktop "Desktop Entry" specification.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/File/DesktopEntry.pm

%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.80.0-2.mga4
+ Revision: 539914
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 sander85 <sander85> 0.80.0-1.mga4
+ Revision: 493101
- update to 0.08

* Fri Oct 04 2013 sander85 <sander85> 0.70.0-1.mga4
+ Revision: 491466
- update to 0.07

* Fri Jun 07 2013 jquelin <jquelin> 0.50.0-1.mga4
+ Revision: 439284
- update to 0.05

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 367152
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 28535
- mageia rebuild
- imported package perl-File-DesktopEntry


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.40.0-1mdv2010.1
+ Revision: 407688
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.04-3mdv2009.1
+ Revision: 351744
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.04-2mdv2009.0
+ Revision: 223719
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Nov 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2008.1
+ Revision: 106564
- switch to M::B
- new version

* Fri Aug 17 2007 Thierry Vignaud <tv@mandriva.org> 0.02-3mdv2008.0
+ Revision: 64755
- rebuild


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.02-2mdv2007.0
+ Revision: 108536
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-File-DesktopEntry

* Tue Oct 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.02-1mdk
- First MDV package

